@import url('https://fonts.googleapis.com/css2?family=Press+Start+2P&display=swap');

/*==========================
RESET
==========================*/

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{
    font-family:'Press Start 2P',cursive;
    overflow:hidden;
}

/*==========================
FUNDO
==========================*/

.login-body{
    width:100%;
    height:100vh;

    display:flex;
    justify-content:center;
    align-items:center;

    background:linear-gradient(#58bb53,#2d7b30);

    overflow:hidden;
    position:relative;
}

/* troque por gif depois */
.background-overlay{
    position:absolute;
    inset:0;
    background:rgba(0,0,0,.18);
}

/*==========================
PLACA
==========================*/

.login-card{

    position:relative;

    width:680px;

    padding:55px;

    background:
    linear-gradient(
        #c89252,
        #b57a3f,
        #9a6332,
        #7d4924
    );

    border:8px solid #4d2913;

    border-radius:12px;

    box-shadow:
        inset 0 0 0 5px #dba76d,
        inset 0 0 0 10px #7d4924,
        0 18px 35px rgba(0,0,0,.45);

    z-index:10;
}

/*==========================
PREGOS
==========================*/

.prego{

    position:absolute;

    width:18px;
    height:18px;

    background:#555;

    border:3px solid #222;

    border-radius:50%;
}

.prego::after{

    content:"";

    position:absolute;

    width:8px;
    height:2px;

    background:#222;

    top:50%;
    left:50%;

    transform:translate(-50%,-50%);
}

.prego1{top:18px;left:18px;}
.prego2{top:18px;right:18px;}
.prego3{bottom:18px;left:18px;}
.prego4{bottom:18px;right:18px;}

/*==========================
TEXTOS
==========================*/

.titulo{

    text-align:center;

    color:#fff6c7;

    font-size:36px;

    margin-bottom:15px;

    text-shadow:
        4px 4px #5c3117,
        0 0 10px rgba(255,255,255,.15);
}

.subtitulo{

    text-align:center;

    color:#ffe9ab;

    font-size:11px;

    line-height:20px;

    margin-bottom:35px;
}

/*==========================
FORM
==========================*/

.login-form{

    display:flex;

    flex-direction:column;

    gap:22px;
}

.campo{

    display:flex;

    align-items:center;

    gap:16px;
}

.campo div{

    flex:1;
}

/*==========================
ÍCONE
==========================*/

.iconepixel{

    width:3rem;
    height:3rem;

    background:#674022;

    border:4px solid #3c200d;

    box-shadow:
        inset 0 0 0 2px #93633c;

    border-radius:6px;

    margin-top: 1rem;

    flex-shrink:0;
}

.icone-img{

    width:85%;
    margin-top: 0.2rem;
    margin-left: 0.22rem;
}

.idade-img{
    width:70%;
    margin-top: 0.2rem;
    margin-left: 0.4rem;
}

/*==========================
LABEL
==========================*/

.placa-label{

    display:block;

    color:#fff;

    font-size:10px;

    margin-bottom:8px;

    text-shadow:2px 2px #5b3214;
}

/*==========================
INPUT
==========================*/

.campo input{

    width:100%;

    padding:14px;

    background:#f8ebc7;

    border:5px solid #6a4021;

    border-radius:6px;

    outline:none;

    font-family:'Press Start 2P';

    font-size:10px;

    transition:.15s;
}

.campo input::placeholder{

    color:#9a8c69;
}

.campo input:focus{

    background:#fff7dc;

    border-color:#d5af5d;
}

/*==========================
BOTÃO
==========================*/

.botao{

    margin-top:10px;

    width:100%;

    padding:18px;

    background:
    linear-gradient(
        #9be75f,
        #79c647,
        #5ca534
    );

    border:5px solid #315b1c;

    border-radius:8px;

    color:#173719;

    font-family:'Press Start 2P';

    font-size:12px;

    cursor:pointer;

    transition:.15s;
}

.botao:hover{

    transform:translateY(-4px);

    box-shadow:0 7px 0 #315b1c;
}

.botao:active{

    transform:translateY(4px);

    box-shadow:none;
}

/*==========================
ERRO
==========================*/

.alert{

    margin-bottom:25px;

    padding:15px;

    text-align:center;

    background:#bf2b2b;

    border:4px solid #6b1111;

    color:white;

    font-size:10px;
}

/*==========================
FOLHAS
==========================*/

.folha{
    position:absolute;
    color:#9be79c;
    top: -50px;
    font-size:24px;
    opacity:.75;
    animation:cair 8s linear infinite;
}

.f1{left:8%;animation-delay:0s;}
.f2{left:27%;animation-delay:2s;}
.f3{left:70%;animation-delay:5s;}
.f4{left:90%;animation-delay:1s;}
.f5{left:15%;animation-delay:11s;}
.f6{left:67%;animation-delay:4s;}
.f7{left:89%;animation-delay:7s;}
.f8{left:53%;animation-delay:3s;}

/*==========================
ANIMAÇÕES
==========================*/

@keyframes cair{

    from{
        transform:translateY(-100px) rotate(0);
    }

    to{
        transform:translateY(110vh) rotate(360deg);
    }
}

/*==================================================
    SCOREBOARD
==================================================*/

.scoreboard{

    flex-shrink:0;

    width:320px;

    position:relative;

    padding:30px;

    background:
        linear-gradient(
            180deg,
            #b9864a,
            #a66d37,
            #8f5a2d,
            #693d18
        );

    border:8px solid #4a2b12;

    border-radius:10px;

    box-shadow:
        inset 0 0 0 5px #c99758,
        inset 0 0 0 10px #7b4a22,
        0 15px 35px rgba(0,0,0,.45);
        
}

.scoreboard h2{

    text-align:center;
    position: relative;
    color:#fff6c7;
    font-size:22px;
    margin-bottom:25px;
    text-shadow:3px 3px #5c3117;

}

.linha{

    display:flex;
    justify-content:space-between;
    align-items:center;

    padding:12px;

    margin-bottom:10px;

    background:rgba(255,255,255,.08);

    border:3px solid #6a4021;

    color:#fff6c7;

    font-size:10px;

}

.primeiro{

    background:#d7b052;

    color:#3a220d;

}

/* .score-footer{

    margin-top:20px;

    padding-top:15px;

    border-top:3px dashed #dba76d;

    text-align:center;

    color:#ffe9ab;

    font-size:9px;

} */

.tela-container{

    position:relative;

    display:flex;

    align-items:center;

    justify-content:center;

    gap:45px;

    z-index:20;
}